#ifndef NBODY_EXCEPTION_HH
#define NBODY_EXCEPTION_HH

#include <exception>
#include <string>


/**
 * An exception class for exceptions which are
 * related to our n-body problem code.
 */
class NBody_Exception
  : public std::exception
{
public:
  NBody_Exception (const std::string& msg) noexcept
    : msg_(msg)
  {}

  virtual ~NBody_Exception () throw() {}

  virtual const char* what () const noexcept
  {
    return msg_.c_str();
  }

private:
  std::string msg_;
};


#endif // NBODY_EXCEPTION_HH
